Package org.eclipse.lemminx.extensions.xerces

## Class ExternalXMLDTDValidator

- java.lang.Object
- - org.apache.xerces.impl.dtd.XMLDTDValidator
  - - org.eclipse.lemminx.extensions.xerces.ExternalXMLDTDValidator

All Implemented Interfaces:
  `org.apache.xerces.impl.dtd.XMLDTDValidatorFilter`, `org.apache.xerces.impl.RevalidationHandler`, `org.apache.xerces.xni.parser.XMLComponent`, `org.apache.xerces.xni.parser.XMLDocumentFilter`, `org.apache.xerces.xni.parser.XMLDocumentSource`, `org.apache.xerces.xni.XMLDocumentHandler`

Direct Known Subclasses:
  `XMLModelDTDValidator`

    public class ExternalXMLDTDValidator
    extends org.apache.xerces.impl.dtd.XMLDTDValidator

Xerces uses `XMLDTDValidator` which gets the DOCTYPE dtd file from the declared DOCTYPE. This class extends `XMLDTDValidator` to set the DOCTYPE dtd file with `setExternalDoctype(String)`

### Field Summary

Fields
`static String` `DOCTYPE`

### Fields inherited from class org.apache.xerces.impl.dtd.XMLDTDValidator

`BALANCE_SYNTAX_TREES, DATATYPE_VALIDATOR_FACTORY, DYNAMIC_VALIDATION, ERROR_REPORTER, fBalanceSyntaxTrees, fDatatypeValidatorFactory, fDocLocation, fDocumentHandler, fDocumentSource, fDTDGrammar, fDTDValidation, fDynamicValidation, fErrorReporter, fGrammarBucket, fGrammarPool, fNamespaceContext, fNamespaces, fSeenDoctypeDecl, fSymbolTable, fValENTITIES, fValENTITY, fValID, fValidation, fValidationManager, fValidationState, fValIDRef, fValIDRefs, fValNMTOKEN, fValNMTOKENS, fValNOTATION, fWarnDuplicateAttdef, GRAMMAR_POOL, NAMESPACES, PARSER_SETTINGS, SYMBOL_TABLE, VALIDATION, VALIDATION_MANAGER, WARN_ON_DUPLICATE_ATTDEF`

### Constructor Summary

Constructors
`ExternalXMLDTDValidator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `emptyElement​(org.apache.xerces.xni.QName element, org.apache.xerces.xni.XMLAttributes attributes, org.apache.xerces.xni.Augmentations augs)`
`void` `reset​(org.apache.xerces.xni.parser.XMLComponentManager componentManager)`
`void` `setExternalDoctype​(String externalDoctype)`
`void` `setLocator​(org.apache.xerces.xni.XMLLocator locator)`
`void` `startDocument​(org.apache.xerces.xni.XMLLocator locator, String encoding, org.apache.xerces.xni.NamespaceContext namespaceContext, org.apache.xerces.xni.Augmentations augs)`
`void` `startElement​(org.apache.xerces.xni.QName element, org.apache.xerces.xni.XMLAttributes attributes, org.apache.xerces.xni.Augmentations augs)`

### Methods inherited from class org.apache.xerces.impl.dtd.XMLDTDValidator

`addDTDDefaultAttrsAndValidate, characterData, characters, comment, doctypeDecl, endCDATA, endDocument, endElement, endGeneralEntity, endNamespaceScope, getDocumentHandler, getDocumentSource, getExternalEntityRefInAttrValue, getFeatureDefault, getPropertyDefault, getRecognizedFeatures, getRecognizedProperties, handleEndElement, handleStartElement, hasGrammar, ignorableWhitespace, init, invalidStandaloneAttDef, isSpace, processingInstruction, setDocumentHandler, setDocumentSource, setFeature, setProperty, startCDATA, startGeneralEntity, startNamespaceScope, textDecl, validate, validateDTDattribute, xmlDecl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DOCTYPE

    public static final String DOCTYPE

See Also:
  Constant Field Values

### Constructor Detail

#### ExternalXMLDTDValidator

    public ExternalXMLDTDValidator()

### Method Detail

#### setExternalDoctype

    public void setExternalDoctype​(String externalDoctype)

#### setLocator

    public void setLocator​(org.apache.xerces.xni.XMLLocator locator)

#### startDocument

    public void startDocument​(org.apache.xerces.xni.XMLLocator locator,
                              String encoding,
                              org.apache.xerces.xni.NamespaceContext namespaceContext,
                              org.apache.xerces.xni.Augmentations augs)
                       throws org.apache.xerces.xni.XNIException

Specified by:
  `startDocument` in interface `org.apache.xerces.xni.XMLDocumentHandler`
Overrides:
  `startDocument` in class `org.apache.xerces.impl.dtd.XMLDTDValidator`
Throws:
  `org.apache.xerces.xni.XNIException`

#### startElement

    public void startElement​(org.apache.xerces.xni.QName element,
                             org.apache.xerces.xni.XMLAttributes attributes,
                             org.apache.xerces.xni.Augmentations augs)
                      throws org.apache.xerces.xni.XNIException

Specified by:
  `startElement` in interface `org.apache.xerces.xni.XMLDocumentHandler`
Overrides:
  `startElement` in class `org.apache.xerces.impl.dtd.XMLDTDValidator`
Throws:
  `org.apache.xerces.xni.XNIException`

#### emptyElement

    public void emptyElement​(org.apache.xerces.xni.QName element,
                             org.apache.xerces.xni.XMLAttributes attributes,
                             org.apache.xerces.xni.Augmentations augs)
                      throws org.apache.xerces.xni.XNIException

Specified by:
  `emptyElement` in interface `org.apache.xerces.xni.XMLDocumentHandler`
Overrides:
  `emptyElement` in class `org.apache.xerces.impl.dtd.XMLDTDValidator`
Throws:
  `org.apache.xerces.xni.XNIException`

#### reset

    public void reset​(org.apache.xerces.xni.parser.XMLComponentManager componentManager)
               throws org.apache.xerces.xni.parser.XMLConfigurationException

Specified by:
  `reset` in interface `org.apache.xerces.xni.parser.XMLComponent`
Overrides:
  `reset` in class `org.apache.xerces.impl.dtd.XMLDTDValidator`
Throws:
  `org.apache.xerces.xni.parser.XMLConfigurationException`